<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: mapper_module_st Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">mapper_module_st Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Structure to be filled on mapper module initialization.  
 <a href="structmapper__module__st.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="mapper_8h_source.html">mapper.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a8f8f80d37794cde9472343e4487ba3eb"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapper__module__st.html#a8f8f80d37794cde9472343e4487ba3eb">name</a></td></tr>
<tr class="memdesc:a8f8f80d37794cde9472343e4487ba3eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">mapper name  <a href="#a8f8f80d37794cde9472343e4487ba3eb">More...</a><br /></td></tr>
<tr class="separator:a8f8f80d37794cde9472343e4487ba3eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abba81c977d8901de66b169a60d8481e1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapper__module__st.html#abba81c977d8901de66b169a60d8481e1">block</a></td></tr>
<tr class="memdesc:abba81c977d8901de66b169a60d8481e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">mapper configuration block  <a href="#abba81c977d8901de66b169a60d8481e1">More...</a><br /></td></tr>
<tr class="separator:abba81c977d8901de66b169a60d8481e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab133ab6f78d4ef8149644d544f8d902c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapper__module__st.html#ab133ab6f78d4ef8149644d544f8d902c">dbg_level</a></td></tr>
<tr class="memdesc:ab133ab6f78d4ef8149644d544f8d902c"><td class="mdescLeft">&#160;</td><td class="mdescRight">debug level to set before call entry points  <a href="#ab133ab6f78d4ef8149644d544f8d902c">More...</a><br /></td></tr>
<tr class="separator:ab133ab6f78d4ef8149644d544f8d902c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae376f130b17d169ee51be68077a89ed0"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapper__module__st.html#ae376f130b17d169ee51be68077a89ed0">context</a></td></tr>
<tr class="memdesc:ae376f130b17d169ee51be68077a89ed0"><td class="mdescLeft">&#160;</td><td class="mdescRight">pointer to mapper local data  <a href="#ae376f130b17d169ee51be68077a89ed0">More...</a><br /></td></tr>
<tr class="separator:ae376f130b17d169ee51be68077a89ed0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b3f1e248acc903be69f8760740fd129"><td class="memItemLeft" align="right" valign="top">char **(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapper__module__st.html#a0b3f1e248acc903be69f8760740fd129">entries</a> )(X509 *x509, void *<a class="el" href="structmapper__module__st.html#ae376f130b17d169ee51be68077a89ed0">context</a>)</td></tr>
<tr class="memdesc:a0b3f1e248acc903be69f8760740fd129"><td class="mdescLeft">&#160;</td><td class="mdescRight">cert.  <a href="#a0b3f1e248acc903be69f8760740fd129">More...</a><br /></td></tr>
<tr class="separator:a0b3f1e248acc903be69f8760740fd129"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ef1282e2fd43b4d2545e904d379854d"><td class="memItemLeft" align="right" valign="top">char *(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapper__module__st.html#a0ef1282e2fd43b4d2545e904d379854d">finder</a> )(X509 *x509, void *<a class="el" href="structmapper__module__st.html#ae376f130b17d169ee51be68077a89ed0">context</a>, int *match)</td></tr>
<tr class="memdesc:a0ef1282e2fd43b4d2545e904d379854d"><td class="mdescLeft">&#160;</td><td class="mdescRight">cert.  <a href="#a0ef1282e2fd43b4d2545e904d379854d">More...</a><br /></td></tr>
<tr class="separator:a0ef1282e2fd43b4d2545e904d379854d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a504be8b48b4dd29419f14bdef5580470"><td class="memItemLeft" align="right" valign="top">int(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapper__module__st.html#a504be8b48b4dd29419f14bdef5580470">matcher</a> )(X509 *x509, const char *login, void *<a class="el" href="structmapper__module__st.html#ae376f130b17d169ee51be68077a89ed0">context</a>)</td></tr>
<tr class="memdesc:a504be8b48b4dd29419f14bdef5580470"><td class="mdescLeft">&#160;</td><td class="mdescRight">cert-to-login matcher  <a href="#a504be8b48b4dd29419f14bdef5580470">More...</a><br /></td></tr>
<tr class="separator:a504be8b48b4dd29419f14bdef5580470"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c743e14a0f86067abc0df0ca820b05b"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapper__module__st.html#a4c743e14a0f86067abc0df0ca820b05b">deinit</a> )(void *<a class="el" href="structmapper__module__st.html#ae376f130b17d169ee51be68077a89ed0">context</a>)</td></tr>
<tr class="memdesc:a4c743e14a0f86067abc0df0ca820b05b"><td class="mdescLeft">&#160;</td><td class="mdescRight">module de-initialization  <a href="#a4c743e14a0f86067abc0df0ca820b05b">More...</a><br /></td></tr>
<tr class="separator:a4c743e14a0f86067abc0df0ca820b05b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Structure to be filled on mapper module initialization. </p>

<p class="definition">Definition at line <a class="el" href="mapper_8h_source.html#l00040">40</a> of file <a class="el" href="mapper_8h_source.html">mapper.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="abba81c977d8901de66b169a60d8481e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abba81c977d8901de66b169a60d8481e1">&#9670;&nbsp;</a></span>block</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a>* block</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>mapper configuration block </p>

<p class="definition">Definition at line <a class="el" href="mapper_8h_source.html#l00044">44</a> of file <a class="el" href="mapper_8h_source.html">mapper.h</a>.</p>

</div>
</div>
<a id="ae376f130b17d169ee51be68077a89ed0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae376f130b17d169ee51be68077a89ed0">&#9670;&nbsp;</a></span>context</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* context</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>pointer to mapper local data </p>

<p class="definition">Definition at line <a class="el" href="mapper_8h_source.html#l00048">48</a> of file <a class="el" href="mapper_8h_source.html">mapper.h</a>.</p>

</div>
</div>
<a id="ab133ab6f78d4ef8149644d544f8d902c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab133ab6f78d4ef8149644d544f8d902c">&#9670;&nbsp;</a></span>dbg_level</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int dbg_level</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>debug level to set before call entry points </p>

<p class="definition">Definition at line <a class="el" href="mapper_8h_source.html#l00046">46</a> of file <a class="el" href="mapper_8h_source.html">mapper.h</a>.</p>

</div>
</div>
<a id="a4c743e14a0f86067abc0df0ca820b05b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c743e14a0f86067abc0df0ca820b05b">&#9670;&nbsp;</a></span>deinit</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* deinit) (void *<a class="el" href="structmapper__module__st.html#ae376f130b17d169ee51be68077a89ed0">context</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>module de-initialization </p>

<p class="definition">Definition at line <a class="el" href="mapper_8h_source.html#l00056">56</a> of file <a class="el" href="mapper_8h_source.html">mapper.h</a>.</p>

</div>
</div>
<a id="a0b3f1e248acc903be69f8760740fd129"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b3f1e248acc903be69f8760740fd129">&#9670;&nbsp;</a></span>entries</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char**(* entries) (X509 *x509, void *<a class="el" href="structmapper__module__st.html#ae376f130b17d169ee51be68077a89ed0">context</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>cert. </p>
<p>entries enumerator </p>

<p class="definition">Definition at line <a class="el" href="mapper_8h_source.html#l00050">50</a> of file <a class="el" href="mapper_8h_source.html">mapper.h</a>.</p>

</div>
</div>
<a id="a0ef1282e2fd43b4d2545e904d379854d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ef1282e2fd43b4d2545e904d379854d">&#9670;&nbsp;</a></span>finder</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char*(* finder) (X509 *x509, void *<a class="el" href="structmapper__module__st.html#ae376f130b17d169ee51be68077a89ed0">context</a>, int *match)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>cert. </p>
<p>login finder </p>

<p class="definition">Definition at line <a class="el" href="mapper_8h_source.html#l00052">52</a> of file <a class="el" href="mapper_8h_source.html">mapper.h</a>.</p>

</div>
</div>
<a id="a504be8b48b4dd29419f14bdef5580470"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a504be8b48b4dd29419f14bdef5580470">&#9670;&nbsp;</a></span>matcher</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int(* matcher) (X509 *x509, const char *login, void *<a class="el" href="structmapper__module__st.html#ae376f130b17d169ee51be68077a89ed0">context</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>cert-to-login matcher </p>

<p class="definition">Definition at line <a class="el" href="mapper_8h_source.html#l00054">54</a> of file <a class="el" href="mapper_8h_source.html">mapper.h</a>.</p>

</div>
</div>
<a id="a8f8f80d37794cde9472343e4487ba3eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f8f80d37794cde9472343e4487ba3eb">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>mapper name </p>

<p class="definition">Definition at line <a class="el" href="mapper_8h_source.html#l00042">42</a> of file <a class="el" href="mapper_8h_source.html">mapper.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="mapper_8h_source.html">mapper.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
